Skip to main content
GET
/
rugs
Recent rugs (all venues)
curl --request GET \
  --url https://api.dexploit.dev/rugs \
  --header 'X-API-Key: <api-key>'
{
  "rugs": [
    {
      "token_mint": "<string>",
      "pool_address": "<string>",
      "dex": "<string>",
      "drained_pct": 123,
      "lp_sol_pulled": 123,
      "signature": "<string>",
      "slot": 123,
      "ts_ms": 123
    }
  ],
  "count": 123,
  "computed_at": 123
}

Authorizations

X-API-Key
string
header
required

Preferred for swaps-api endpoints (/swaps/*, /stats/*, /trending, /pool-events).

Query Parameters

limit
integer
default:100

Page size (clamped 1..2000).

Required range: 1 <= x <= 2000
offset
integer
default:0

Page offset.

min_drained_pct
number<float>
default:0

Only return rugs with drained_pct >= this 0..1 fraction (default 0 = all). Clamped 0..1.

Required range: 0 <= x <= 1

Response

Recent rug list

rugs
object[]
count
integer

Full match total (count() OVER ()), independent of limit/offset.

computed_at
integer

Epoch milliseconds.